[Overview][Types][Classes][Index] | Reference for unit 'ascii85' (#fcl)

# TASCII85EncoderStream.Destroy

Flushed the data to the output stream and cleans up the encoder instance.

## Declaration

Source position: ascii85.pp line 89

`public destructor TASCII85EncoderStream.Destroy; override;`

## Description

Destroy writes the data remaining in the internal buffer to the destination stream (possibly followed by a boundary delineator) and then destroys the encoder instance.

## See also

TASCII85EncoderStream.Write |  | Write data encoded to the destination stream
TASCII85EncoderStream.Boundary |  | Is a boundary delineator written before and after the data

Documentation generated on: Feb 26 2014